com.r3corda.contracts.cash / FungibleAssetState

# FungibleAssetState

`interface FungibleAssetState<T, I : AssetIssuanceDefinition<T>> : OwnableState`

Common elements of cash contract states.

### Properties

amount | `abstract val amount: Amount<T>`
deposit | `abstract val deposit: PartyAndReference` Where the underlying currency backing this ledger entry can be found (propagated)
issuanceDef | `abstract val issuanceDef: I`

### Inherited Properties

owner | `abstract val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Inherited Functions

withNewOwner | `abstract fun withNewOwner(newOwner: PublicKey): <ERROR CLASS><CommandData, OwnableState>` Copies the underlying data structure, replacing the owner field with this new value and leaving the rest alone

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)
label | `infix fun ContractState.label(label: String): LabeledOutput`

### Inheritors

State | `interface State<T> : FungibleAssetState<T, AssetIssuanceDefinition<T>>` A state representing a claim against some party